{% extends 'crud/edit.html' %}

{% block content %}
    {{ block.super }}
    {% load static %}
        <script src="{% static 'sb_admin/vendor/jquery/jquery.min.js' %}"></script>

    <script>
        $(document).ready(function () {
            if ($('#id_temporary').prop('checked') === false){
                $('#id_start_date').hide()
                $('#id_end_date').hide()
                $('label[for=id_start_date]').hide()
                $('label[for=id_end_date]').hide()
            }
            $('#id_temporary').change(function () {
                if ($(this).prop('checked')) {
                    $('#id_start_date').show()
                    $('#id_start_date').prop('required', true)
                    $('#id_end_date').show()
                    $('#id_end_date').prop('required', true)
                    $('label[for=id_start_date]').show()
                    $('label[for=id_end_date]').show()
                } else {
                    $('#id_start_date').hide()
                    $('#id_end_date').hide()
                    $('label[for=id_start_date]').hide()
                    $('label[for=id_end_date]').hide()
                    $('#id_start_date').prop('required', false)
                    $('#id_end_date').prop('required', false)

                }
            })

        })
    </script>
{% endblock %}